Bug 74776 - util-linux is lacking cryptoloop support
util-linux is lacking cryptoloop support
Status: CLOSED DUPLICATE of bug 56698
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
http://www.ifs.tuwien.ac.at/~hvr/cryp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 12:04 EDT by Herbert Valerio Riedel
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-01 12:04:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Herbert Valerio Riedel 2002-10-01 12:04:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
although the stock kernel ships with cryptoloop modules, there's no way to use
it without recompiling the util-linux src rpm;

see http://www.ifs.tuwien.ac.at/~hvr/crypto/redhat-8.0/
for util-linux rpms with enabled cryptoloop support;

Version-Release number of selected component (if applicable):
2.11r-10

How reproducible:
Always
Comment 1 Elliot Lee 2002-10-13 12:05:57 EDT

*** This bug has been marked as a duplicate of 56698 ***
Comment 2 Herbert Valerio Riedel 2002-10-13 12:17:59 EDT
this doesn look like a duplicate;
the other bug was long before redhat shipped any patch-int patched kernel;

it makes not much sense to ship the kernel rpm with cryptoloop and the actual
strong encryption ciphers (!) for kernelspace ... and NOT add that few ioctl()'s
to the user-space util-linux package... (that's like shipping a complete
fireworks set, but not providing the fire-lighter -- ok, the comparisions not
perfect... ;)

Comment 3 Elliot Lee 2002-10-13 12:21:30 EDT
The main point of the other bug was that our util-linux package will get crypto support once 
the upstream maintainer integrates it. That continues to be the case.
Comment 4 Ron Yorston 2002-10-14 06:16:09 EDT
I don't understand Red Hat's attitude here.  The kernel has been patched to
include crypto support that isn't in the stock source, but they don't patch the
utilities that make it possible to use it.  So what was the point of patching
the kernel?

Note You need to log in before you can comment on or make changes to this bug.